server:
  port: 8080

eureka:
  client:
    serviceUrl:
      defaultZone: http://preeureka-internal.piaoquantv.com/eureka/

spring:
  datasource:
    jdbcUrl: jdbc:mysql://rm-bp1jjv3jv98133plv285-vpc-rw.mysql.rds.aliyuncs.com:3306/longvideo?useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowMultiQueries=true
    username: wx2016_longvideo
    password: wx2016_longvideoP@assword1234
  servlet:
    multipart:
      max-file-size: 500MB
      max-request-size: 500MB

  cloud:
    sentinel:
      transport:
        dashboard: http://presentinel-dashboard-internal.piaoquantv.com
  adplatform:
    jdbcUrl: jdbc:mysql://rm-bp12k5fuh5zyx31d2.mysql.rds.aliyuncs.com:3306/adplatform?useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowMultiQueries=true
    username: wx2023_ad
    password: wx2023_adP@assword1234

  redis:
    hostName: r-bp1oyhyx4mxgs6klyt561.redis.rds.aliyuncs.com
    port: 6379
    password: Wqsd@2019
    lettuce:
      pool:
        max-active: 50 # 连接池最大连接数（使用负值表示没有限制） 默认 8
        max-idle: 20 # 连接池中的最大空闲连接 默认 8
        min-idle: 10 # 连接池中的最小空闲连接 默认 0`

  redis-ad:
    hostName: r-bp1o145ofbhe3r1wma.redis.rds.aliyuncs.com
    port: 6379
    password: Wqsd@2019
    timeout: 1000
    lettuce:
      pool:
        max-active: 50 # 连接池最大连接数（使用负值表示没有限制） 默认 8
        max-idle: 20 # 连接池中的最大空闲连接 默认 8
        min-idle: 10 # 连接池中的最小空闲连接 默认 0`
  redis-algorithm:
    hostName: r-bp1fogs2mflr1ybfot.redis.rds.aliyuncs.com
    port: 6379
    password: Wqsd@2019
    timeout: 1000
    lettuce:
      pool:
        max-active: 1000 # 连接池最大连接数（使用负值表示没有限制） 默认 8
        max-idle: 20 # 连接池中的最大空闲连接 默认 8
        min-idle: 10 # 连接池中的最小空闲连接 默认 0
  data:
    mongodb:
      uri: mongodb://lv:lv2018@s-bp14ce206f81b754.mongodb.rds.aliyuncs.com:3717,s-bp137073555e7bc4.mongodb.rds.aliyuncs.com:3717/longvideo
      adplatform-uri: mongodb://bigdata:Qingqu2019&@s-bp12258b064c3ef4.mongodb.rds.aliyuncs.com:3717,s-bp15728065fa22a4.mongodb.rds.aliyuncs.com:3717/adplatform
  mail:
    # 配置 SMTP 服务器地址
    host: smtp.exmail.qq.com
    # 发送者邮箱，已开通POP3/SMTP服务的邮箱，也就是你自己的
    username: ad@new.piaoquantv.com
    # 配置密码，注意不是真正的密码，而是刚刚申请到的授权码
    password: 5SCW5ndT4FP6XSmQ
    # 发送人昵称
    nickname: 票圈视频
    # 端口号465或587（QQ邮箱发送邮件仅支持587端口协议）
    port: 587
    # 默认的邮件编码为UTF-8
    default-encoding: UTF-8
    # 配置SSL 加密工厂
    properties:
      mail:
        smtp:
          auth: true
          socketFactoryClass: javax.net.ssl.SSLSocketFactory
        #表示开启 DEBUG 模式，这样，邮件发送过程的日志会在控制台打印出来，方便排查错误
        debug: true

aliyun:
  log:
    project: ad-engine-test

rocketmq:
  accessKey: 736nKkR5Gaq0NAgU
  secretKey: qGj5jxeXB87652MV
  nameSrvAddr: rmq-cn-g4t3eq6k90g-vpc.cn-hangzhou.rmq.aliyuncs.com:8080
  topic: topic_message_ad_user_behavior_pre
  groupId: GID_MESSAGE_AD_USER_BEHAVIOR_PRE
  platform:
    package:
      topic: topic_message_platform_ad_package_pre
      groupId: GID_MESSAGE_PLATFORM_AD_PACKAGE_PRE
  tag: '*'

apollo:
  meta: http://preapolloconfig-internal.piaoquantv.com

springfox:
  documentation:
    swagger-ui:
      enabled: false

xxl:
  job:
    admin:
      addresses: http://xxl-job-pre-internal.piaoquantv.com/xxl-job-admin

longvideo:
  feign:
    url: videopre-internal.piaoquantv.com

feign:
  client:
    config:
      default:
        # NONE 没有日志（默认）
        # BASIC 只记录请求方法和 URL 以及响应状态码和执行时间
        # HEADERS 记录基本信息以及请求和响应头
        # FULL 记录请求和响应的头、正文和元数据
        logger-level: NONE
        connect-timeout: 20000
        read-timeout: 20000

ms:
  base:
    getByIpUrl: http://preapi-internal.piaoquantv.com/base-service/region/getByIp

oss:
  endpoint: oss-cn-hangzhou-internal.aliyuncs.com
  adplatform:
    accessKey: LTAIP6x1l3DXfSxm
    secretKey: KbTaM9ars4OX3PMS6Xm7rtxGr1FLon
    ossEndPoint: oss-cn-hangzhou.aliyuncs.com
    videoEndPoint: slicevideo.yishihui.com
    expiration: 3600
    projectName: adplatform
    cdnDomain: http://rescdn.yishihui.com/
    imgDomain: http://rescdn.yishihui.com/
    videoDomain: http://rescdn.yishihui.com/
    lvvideoDomain: https://lvupload.piaoquantv.com/
    pubBucket: public:art-pubbucket,publicVideo:art-pubbucket
    priBucket: private:art-pribucket,privateVideo:art-privideo,privateVideoIn:art-privideo-in
    priEndPoint: pricdn.yishihui.com
    needPress: true
    internal:
      endPoint: oss-cn-hangzhou.aliyuncs.com
    transcode:
      TemplateId: 2a5bf5963c9347df8eaddf662fbaf357
      PipelineId: abe6a0b9b9334858913eb416974485d2
      Location: oss-cn-hangzhou
      bucket: art-pubbucket

ad:
  abtest:
    time:
      plan:
        code: 555